=== debian/changelog ===
smb4k (4.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, qtdeclarative5-dev, libkf5auth-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5dbusaddons-dev,
      libkf5dnssd-dev, libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5jobwidgets-dev, libkf5kio-dev, libkf5notifications-dev,
      libkf5solid-dev, libkf5wallet-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-declarative-dev, libkf6auth-dev,
      libkf6completion-dev, libkf6config-dev, libkf6configwidgets-dev,
      libkf6coreaddons-dev, libkf6crash-dev, libkf6dbusaddons-dev,
      libkf6dnssd-dev, libkf6doctools-dev, libkf6i18n-dev, libkf6iconthemes-dev,
      libkf6jobwidgets-dev, libkf6kio-dev, libkf6notifications-dev,
      libkf6solid-dev, libkf6statusnotifieritem-dev, libkf6wallet-dev,
      libkf6widgetsaddons-dev, libkf6windowsystem-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - add qtkeychain-qt6-dev
  * Switch the kf5 dh addon to kf6.
  * Enable the WS-Discovery support, now that all the needed libraries are
    available in Debian:
    - add the libkdsoap-dev, and libkdsoapwsdiscoveryclient-dev build
      dependencies
    - pass -DSMB4K_WITH_WS_DISCOVERY=ON to cmake
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2025 09:39:18 +0100
