## smb4k 4.0.3

=== debian/changelog ===
smb4k (4.0.3-0zneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 08 Jul 2025 00:23:04 +0000

smb4k (4.0.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 08 Jul 2025 10:21:43 +1000

smb4k (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Mar 2025 17:09:26 +1000

smb4k (3.2.90-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 14:13:33 +1000

smb4k (3.2.71-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 10:00:46 +1000

smb4k (3.2.70-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Apr 2024 13:10:34 +1100

smb4k (3.2.5-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Mon, 17 May 2021 11:51:11 +0200

smb4k (3.0.90-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Thu, 29 Apr 2021 14:20:50 +0200

smb4k (3.0.84-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 06 Apr 2021 10:43:45 +0200

smb4k (3.0.82-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 09 Mar 2021 12:44:47 +0100

smb4k (3.0.81-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Fri, 12 Feb 2021 11:07:20 +0100

smb4k (3.0.80-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Mon, 18 Jan 2021 14:58:22 +0100

smb4k (3.0.71-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 22 Sep 2020 14:54:24 +0200

smb4k (3.0.70-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 Jul 2020 07:51:05 +0000

smb4k (3.0.6-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 04 Jun 2020 07:51:06 +0000

smb4k (3.0.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 May 2020 07:51:05 +0000

smb4k (3.0.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Apr 2020 07:51:05 +0000

smb4k (3.0.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 Mar 2020 07:51:06 +0000

smb4k (3.0.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 15 Aug 2019 09:24:30 +0000

smb4k (3.0.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2019 07:51:07 +0000

smb4k (3.0.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2019 07:51:09 +0000

smb4k (2.1.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 23 Jul 2018 11:07:07 +0000
