=== smb4k/icons/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2015 Raymond Wooninck <tittiatcoke@gmail.com>

add_subdirectory( hicolor )
add_subdirectory( oxygen )
