=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libsmbclient-dev,
                libkdsoap-dev (>= 2.0.0~),
                libkdsoapwsdiscoveryclient-dev (>= 0.4.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
