=== debian/watch ===
version=4
https://sf.net/smb4k/smb4k-(.+)\.(?:tar\.xz)
