## smb4k 4.0.4+p24.04+vstable+git20250921.0642

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20250921.0642-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:42:49 +0000

smb4k (4.0.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Mon, 18 Aug 2025 10:28:43 +1000
