## smb4k 4.0.4+p24.04+vstable+git20250930.0454

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20250930.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:54:16 +0000
