## smb4k 4.0.4+p24.04+vstable+git20251019.0354

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251019.0354-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:54:09 +0000
