=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 3.2),
               debhelper-compat (= 13),
               gettext,
               kdsoap-ws-discovery-client-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               libkdsoap-qt6-dev,
               libplasma-dev,
               libsmbclient-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://smb4k.sourceforge.net/
Vcs-Git: https://invent.kde.org/neon/extras/smb4k.git
Vcs-Browser: https://invent.kde.org/neon/extras/smb4k
Maintainer: Neon CI <neon@kde.org>

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils [linux-any] | freebsd-smbfs [kfreebsd-any],
         libplasma6,
         qml6-module-qtqml-models,
         samba-common-bin,
         smbclient,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Suggests: konsole, kwalletmanager
Description: Samba (SMB) share advanced browser
 Smb4K is an advanced network neighborhood browser. It uses the Samba software
 suite to access the shares of the local network neighborhood. Its purpose is
 to provide a program that's easy to use and has as many features as possible.
 .
 Features:
  - Scanning for (active) workgroups, hosts, and shares
  - Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  - Mounting and unmounting of shares
  - Access to the files of a mounted share using a file manager or terminal
  - Auto-detection of external mounts and unmounts
  - Remounting of previously used shares on program start
  - Miscellaneous infos about remote network items and mounted shares
  - Network search
  - WINS server support
  - Preview of the contents of a share
  - Several methods to look up the initial list of workgroups and domains
  - Default login
  - Special handling of homes shares
  - Ability to bookmark favorite shares and organizing them in groups
  - Support of advanced Samba options
  - Support of printer shares
  - KWallet support
  - Synchronization of a remote share with a local copy and vice versa
  - Ability to define custom options for individual servers and shares
  - Laptop support through the Solid hardware device framework
