## smb4k 4.0.4+p24.04+vstable+git20251026.0223

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251026.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 26 Oct 2025 02:23:23 +0000
