## smb4k 4.0.4+p24.04+vstable+git20251031.0958

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251031.0958-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:58:18 +0000
