## smb4k 4.0.4+p24.04+vstable+git20251231.0300

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20251231.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:00:40 +0000
