## smb4k 4.0.4+p24.04+vstable+git20260131.0427

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20260131.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:27:12 +0000
