## smb4k 4.0.4+p24.04+vstable+git20260202.1022

=== debian/changelog ===
smb4k (4.0.4+p24.04+vstable+git20260202.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:23:00 +0000
