## smb4k 4.0.4+p24.04+vunstable+git20251130.0115

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #
 set(VERSION_MAJOR 4)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 80)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
