=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20251130.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 01:15:41 +0000
