## smb4k 4.0.4+p24.04+vunstable+git20251206.0808

=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20251206.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:08:40 +0000
