## smb4k 4.0.4+p24.04+vunstable+git20260104.0309

=== helpers/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # SPDX-License-Identifier: BSD-2-Clause
 # SPDX-FileCopyrightText: 2019 Albert Astals Cid <aacid@kde.org>
-# SPDX-FileCopyrightText: 2010-2024 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
+# SPDX-FileCopyrightText: 2010-2025 Alexander Reinholdt <alexander.reinholdt@kdemail.net>
 
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -21,6 +21,8 @@
   KF6::I18n
   KF6::KIOCore)
 
+add_definitions(-DTRANSLATION_DOMAIN=\"smb4k-core\")
+
 install(TARGETS mounthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
 
 kauth_install_helper_files(mounthelper org.kde.smb4k.mounthelper root)
