## smb4k 4.0.4+p24.04+vunstable+git20260203.0759

=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20260203.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 07:59:20 +0000
