## smb4k 4.0.4+p24.04+vunstable+git20260205.0719

=== debian/changelog ===
smb4k (4.0.4+p24.04+vunstable+git20260205.0719-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:19:13 +0000
