=== debian/changelog ===
smb4k (4.0.5-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:16:46 +0000

smb4k (4.0.5-1) unstable; urgency=medium

  * New upstream release:
    - fixes CVE-2025-66002 & CVE-2025-66003 (Closes: #1122381)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Add the iproute2 dependency, needed for "ip".

 -- Pino Toscano <pino@debian.org>  Sun, 14 Dec 2025 21:43:13 +0100
