## smb4k 4.0.6

=== debian/changelog ===
smb4k (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Feb 2026 19:35:19 +0100
