=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: smb4k
 Section: kde
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -35,7 +33,7 @@
                libsmbclient-dev,
                libkdsoap-dev (>= 2.0.0~),
                libkdsoapwsdiscoveryclient-dev (>= 0.4.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://smb4k.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/smb4k.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/smb4k
